Index: ./security/mixminion/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/mixminion/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- ./security/mixminion/Makefile	5 Feb 2006 23:10:45 -0000	1.6
+++ ./security/mixminion/Makefile	4 Apr 2006 06:26:57 -0000
@@ -11,7 +11,7 @@
 HOMEPAGE=		http://mixminion.net/
 COMMENT=		Mixminion impedes message traffic analysis
 
-BUILDLINK_DEPENDS.openssl+=	openssl>=0.9.7d
+BUILDLINK_API_DEPENDS.openssl+=	openssl>=0.9.7d
 
 CRYPTO=				YES
 PYTHON_VERSIONS_ACCEPTED=       23 22 21
Index: ./security/nessus-core/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/nessus-core/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./security/nessus-core/buildlink3.mk	5 Feb 2006 23:10:45 -0000	1.6
+++ ./security/nessus-core/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	nessus-core
 
 .if !empty(NESSUS_CORE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.nessus-core+=		nessus-core>=2.2.3
-BUILDLINK_RECOMMENDED.nessus-core?=	nessus-core>=2.2.6
+BUILDLINK_API_DEPENDS.nessus-core+=		nessus-core>=2.2.3
+BUILDLINK_ABI_DEPENDS.nessus-core?=	nessus-core>=2.2.6
 BUILDLINK_PKGSRCDIR.nessus-core?=	../../security/nessus-core
 .endif	# NESSUS_CORE_BUILDLINK3_MK
 
Index: ./security/nessus-libraries/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/nessus-libraries/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./security/nessus-libraries/buildlink3.mk	29 Jan 2006 17:05:54 -0000	1.8
+++ ./security/nessus-libraries/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	nessus-libraries
 
 .if !empty(NESSUS_LIBRARIES_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.nessus-libraries+=	nessus-libraries>=2.2.3
+BUILDLINK_API_DEPENDS.nessus-libraries+=	nessus-libraries>=2.2.3
 BUILDLINK_PKGSRCDIR.nessus-libraries?=	../../security/nessus-libraries
 .endif	# NESSUS_LIBRARIES_BUILDLINK3_MK
 
Index: ./security/opencdk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/opencdk/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./security/opencdk/buildlink3.mk	5 Feb 2006 23:10:45 -0000	1.7
+++ ./security/opencdk/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	opencdk
 
 .if !empty(OPENCDK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.opencdk+=	opencdk>=0.5.4nb1
-BUILDLINK_RECOMMENDED.opencdk+=	opencdk>=0.5.8nb1
+BUILDLINK_API_DEPENDS.opencdk+=	opencdk>=0.5.4nb1
+BUILDLINK_ABI_DEPENDS.opencdk+=	opencdk>=0.5.8nb1
 BUILDLINK_PKGSRCDIR.opencdk?=	../../security/opencdk
 .endif	# OPENCDK_BUILDLINK3_MK
 
Index: ./security/openpam/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/openpam/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./security/openpam/buildlink3.mk	13 Jan 2005 21:59:01 -0000	1.1
+++ ./security/openpam/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	openpam
 
 .if !empty(OPENPAM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.openpam+=	openpam>=20040210
+BUILDLINK_API_DEPENDS.openpam+=	openpam>=20040210
 BUILDLINK_PKGSRCDIR.openpam?=	../../security/openpam
 .endif	# OPENPAM_BUILDLINK3_MK
 
Index: ./security/openpam/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/openpam/builtin.mk,v
retrieving revision 1.4
diff -u -r1.4 builtin.mk
--- ./security/openpam/builtin.mk	9 Jun 2005 06:07:29 -0000	1.4
+++ ./security/openpam/builtin.mk	4 Apr 2006 06:26:57 -0000
@@ -45,7 +45,7 @@
 .    if defined(BUILTIN_PKG.openpam) && \
         !empty(IS_BUILTIN.openpam:M[yY][eE][sS])
 USE_BUILTIN.openpam=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.openpam}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.openpam}
 .        if !empty(USE_BUILTIN.openpam:M[yY][eE][sS])
 USE_BUILTIN.openpam!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.openpam:Q}; then \
Index: ./security/openssl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/openssl/buildlink3.mk,v
retrieving revision 1.29
diff -u -r1.29 buildlink3.mk
--- ./security/openssl/buildlink3.mk	5 Feb 2006 23:10:45 -0000	1.29
+++ ./security/openssl/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	openssl
 
 .if !empty(OPENSSL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.openssl+=	openssl>=0.9.6m
-BUILDLINK_RECOMMENDED.openssl+=	openssl>=0.9.7inb1
+BUILDLINK_API_DEPENDS.openssl+=	openssl>=0.9.6m
+BUILDLINK_ABI_DEPENDS.openssl+=	openssl>=0.9.7inb1
 BUILDLINK_PKGSRCDIR.openssl?=	../../security/openssl
 
 # Ensure that -lcrypt comes before -lcrypto when linking so that the
Index: ./security/openssl/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/openssl/builtin.mk,v
retrieving revision 1.17
diff -u -r1.17 builtin.mk
--- ./security/openssl/builtin.mk	12 Oct 2005 02:20:10 -0000	1.17
+++ ./security/openssl/builtin.mk	4 Apr 2006 06:26:57 -0000
@@ -110,7 +110,7 @@
 .    if defined(BUILTIN_PKG.openssl) && \
         !empty(IS_BUILTIN.openssl:M[yY][eE][sS])
 USE_BUILTIN.openssl=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.openssl}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.openssl}
 .        if !empty(USE_BUILTIN.openssl:M[yY][eE][sS])
 USE_BUILTIN.openssl!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.openssl:Q}; then \
Index: ./security/p5-Net-DNS-SEC/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/p5-Net-DNS-SEC/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- ./security/p5-Net-DNS-SEC/Makefile	29 Dec 2005 06:22:11 -0000	1.13
+++ ./security/p5-Net-DNS-SEC/Makefile	4 Apr 2006 06:26:57 -0000
@@ -20,7 +20,7 @@
 DEPENDS+=		p5-MIME-Base64-[0-9]*:../../converters/p5-MIME-Base64
 DEPENDS+=		p5-Digest-BubbleBabble>=0.01:../../security/p5-Digest-BubbleBabble
 
-BUILDLINK_DEPENDS.perl+=	perl>=5.6.1
+BUILDLINK_API_DEPENDS.perl+=	perl>=5.6.1
 
 PERL5_PACKLIST=		auto/Net/DNS/SEC/.packlist
 
Index: ./security/pakemon/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/pakemon/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- ./security/pakemon/Makefile	4 Mar 2006 21:30:37 -0000	1.21
+++ ./security/pakemon/Makefile	4 Apr 2006 06:26:57 -0000
@@ -13,7 +13,7 @@
 
 GNU_CONFIGURE=	yes
 
-BUILDLINK_DEPENDS.libnet+=	libnet-1.0.*
+BUILDLINK_API_DEPENDS.libnet+=	libnet-1.0.*
 
 post-extract:
 	${CP} ${WRKSRC}/pakemon.h ${WRKSRC}/pakemon.h.in
Index: ./security/pflkm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/pflkm/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./security/pflkm/buildlink3.mk	7 Mar 2006 19:11:54 -0000	1.2
+++ ./security/pflkm/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	pflkm
 
 .if !empty(PFLKM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pflkm+=	pflkm>=20040501
+BUILDLINK_API_DEPENDS.pflkm+=	pflkm>=20040501
 BUILDLINK_PKGSRCDIR.pflkm?=	../../security/pflkm
 .endif	# PFLKM_BUILDLINK3_MK
 
Index: ./security/pflkm/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/pflkm/builtin.mk,v
retrieving revision 1.7
diff -u -r1.7 builtin.mk
--- ./security/pflkm/builtin.mk	7 Dec 2005 12:06:26 -0000	1.7
+++ ./security/pflkm/builtin.mk	4 Apr 2006 06:26:57 -0000
@@ -78,7 +78,7 @@
 .    if defined(BUILTIN_PKG.pflkm) && \
         !empty(IS_BUILTIN.pflkm:M[yY][eE][sS])
 USE_BUILTIN.pflkm=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.pflkm}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.pflkm}
 .        if !empty(USE_BUILTIN.pflkm:M[yY][eE][sS])
 USE_BUILTIN.pflkm!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.pflkm:Q}; then	\
Index: ./security/pinentry/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/pinentry/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- ./security/pinentry/Makefile	5 Feb 2006 23:10:46 -0000	1.10
+++ ./security/pinentry/Makefile	4 Apr 2006 06:26:57 -0000
@@ -38,7 +38,7 @@
 PLIST_SUBST+=		USE_QT='@comment '
 .endif
 
-BUILDLINK_DEPENDS.libgpg-error+=	libgpg-error>=1.0.0
+BUILDLINK_API_DEPENDS.libgpg-error+=	libgpg-error>=1.0.0
 
 .include "../../security/libgpg-error/buildlink3.mk"
 .include "../../security/libksba/buildlink3.mk"
Index: ./security/pinentry/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/pinentry/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./security/pinentry/buildlink3.mk	5 Feb 2006 23:10:46 -0000	1.2
+++ ./security/pinentry/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	pinentry
 
 .if !empty(PINENTRY_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pinentry+=	pinentry>=0.7.1
-BUILDLINK_RECOMMENDED.pinentry?=	pinentry>=0.7.1nb3
+BUILDLINK_API_DEPENDS.pinentry+=	pinentry>=0.7.1
+BUILDLINK_ABI_DEPENDS.pinentry?=	pinentry>=0.7.1nb3
 BUILDLINK_PKGSRCDIR.pinentry?=	../../security/pinentry
 .endif	# PINENTRY_BUILDLINK3_MK
 
Index: ./security/qca/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/qca/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- ./security/qca/Makefile	13 Mar 2006 21:56:22 -0000	1.10
+++ ./security/qca/Makefile	4 Apr 2006 06:26:58 -0000
@@ -17,6 +17,6 @@
 INSTALLATION_DIRS=	include lib
 
 .include "../../x11/qt3-libs/buildlink3.mk"
-BUILDLINK_DEPENDS.qt3-tools+=	qt3-tools>=3.3.5nb6
+BUILDLINK_API_DEPENDS.qt3-tools+=	qt3-tools>=3.3.5nb6
 .include "../../x11/qt3-tools/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./security/qca/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/qca/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./security/qca/buildlink3.mk	5 Feb 2006 23:10:47 -0000	1.3
+++ ./security/qca/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	qca
 
 .if !empty(QCA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.qca+=	qca>=1.0
-BUILDLINK_RECOMMENDED.qca?=	qca>=1.0nb2
+BUILDLINK_API_DEPENDS.qca+=	qca>=1.0
+BUILDLINK_ABI_DEPENDS.qca?=	qca>=1.0nb2
 BUILDLINK_PKGSRCDIR.qca?=	../../security/qca
 .endif	# QCA_BUILDLINK3_MK
 
Index: ./security/py-m2crypto/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/py-m2crypto/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- ./security/py-m2crypto/Makefile	4 Mar 2006 21:30:38 -0000	1.18
+++ ./security/py-m2crypto/Makefile	4 Apr 2006 06:26:58 -0000
@@ -22,7 +22,7 @@
 # it seems, and 0.9.7i is the version which currently is
 # in pkgsrc and against which I fixed m2crypto to compile.
 # -- wiz 20060115
-BUILDLINK_DEPENDS.openssl+=	openssl-0.9.7i{,nb*}
+BUILDLINK_API_DEPENDS.openssl+=	openssl-0.9.7i{,nb*}
 
 .include "../../lang/python/extension.mk"
 .include "../../devel/swig/buildlink3.mk"
Index: ./security/qca-tls/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/qca-tls/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- ./security/qca-tls/Makefile	13 Mar 2006 21:56:22 -0000	1.15
+++ ./security/qca-tls/Makefile	4 Apr 2006 06:26:58 -0000
@@ -19,6 +19,6 @@
 
 .include "../../security/openssl/buildlink3.mk"
 .include "../../x11/qt3-libs/buildlink3.mk"
-BUILDLINK_DEPENDS.qt3-tools+=	qt3-tools>=3.3.5nb6
+BUILDLINK_API_DEPENDS.qt3-tools+=	qt3-tools>=3.3.5nb6
 .include "../../x11/qt3-tools/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./security/rsaref/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/rsaref/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./security/rsaref/buildlink3.mk	3 Oct 2004 19:59:38 -0000	1.7
+++ ./security/rsaref/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	rsaref
 
 .if !empty(RSAREF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.rsaref+=	rsaref>=2.0p3
-BUILDLINK_RECOMMENDED.rsaref+=	rsaref>=2.0p3nb1
+BUILDLINK_API_DEPENDS.rsaref+=	rsaref>=2.0p3
+BUILDLINK_ABI_DEPENDS.rsaref+=	rsaref>=2.0p3nb1
 BUILDLINK_PKGSRCDIR.rsaref?=	../../security/rsaref
 .endif	# RSAREF_BUILDLINK3_MK
 
Index: ./security/seahorse/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/seahorse/Makefile,v
retrieving revision 1.52
diff -u -r1.52 Makefile
--- ./security/seahorse/Makefile	21 Mar 2006 06:00:48 -0000	1.52
+++ ./security/seahorse/Makefile	4 Apr 2006 06:26:58 -0000
@@ -25,7 +25,7 @@
 
 GCONF2_SCHEMAS= 	seahorse.schemas
 
-BUILDLINK_DEPENDS.gpgme+=	gpgme>=1.0.1nb2
+BUILDLINK_API_DEPENDS.gpgme+=	gpgme>=1.0.1nb2
 
 .include "../../databases/gnome-mime-data/buildlink3.mk"
 .include "../../databases/shared-mime-info/mimedb.mk"
Index: ./security/seahorse/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/seahorse/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./security/seahorse/buildlink3.mk	14 Mar 2006 15:00:57 -0000	1.1
+++ ./security/seahorse/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -21,7 +21,7 @@
 BUILDLINK_PACKAGES+=	seahorse
 
 .if !empty(SEAHORSE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.seahorse+=	seahorse>=0.8.1
+BUILDLINK_API_DEPENDS.seahorse+=	seahorse>=0.8.1
 BUILDLINK_PKGSRCDIR.seahorse?=	../../security/seahorse
 .endif	# SEAHORSE_BUILDLINK3_MK
 
Index: ./security/seahorse-gedit/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/seahorse-gedit/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ./security/seahorse-gedit/Makefile	21 Mar 2006 06:00:48 -0000	1.2
+++ ./security/seahorse-gedit/Makefile	4 Apr 2006 06:26:58 -0000
@@ -26,7 +26,7 @@
 
 GCONF2_SCHEMAS= 	seahorse-gedit.schemas
 
-BUILDLINK_DEPENDS.gpgme+=	gpgme>=1.0.1nb2
+BUILDLINK_API_DEPENDS.gpgme+=	gpgme>=1.0.1nb2
 
 BUILD_DIRS=	plugins/gedit
 INSTALL_DIRS=	plugins/gedit
Index: ./security/seahorse-nautilus/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/seahorse-nautilus/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ./security/seahorse-nautilus/Makefile	21 Mar 2006 06:00:49 -0000	1.2
+++ ./security/seahorse-nautilus/Makefile	4 Apr 2006 06:26:58 -0000
@@ -24,7 +24,7 @@
 
 CONFIGURE_ARGS+=	--disable-gedit
 
-BUILDLINK_DEPENDS.gpgme+=	gpgme>=1.0.1nb2
+BUILDLINK_API_DEPENDS.gpgme+=	gpgme>=1.0.1nb2
 
 BUILD_DIRS=	plugins/nautilus-ext
 INSTALL_DIRS=	plugins/nautilus-ext
Index: ./security/skey/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/skey/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./security/skey/buildlink3.mk	5 Feb 2006 23:10:47 -0000	1.3
+++ ./security/skey/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	skey
 
 .if !empty(SKEY_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.skey+=	skey>=1.1.5
-BUILDLINK_RECOMMENDED.skey?=	skey>=1.1.5nb2
+BUILDLINK_API_DEPENDS.skey+=	skey>=1.1.5
+BUILDLINK_ABI_DEPENDS.skey?=	skey>=1.1.5nb2
 BUILDLINK_PKGSRCDIR.skey?=	../../security/skey
 BUILDLINK_DEPMETHOD.skey?=	build
 .endif	# SKEY_BUILDLINK3_MK
Index: ./security/skey/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/skey/builtin.mk,v
retrieving revision 1.2
diff -u -r1.2 builtin.mk
--- ./security/skey/builtin.mk	1 Jun 2005 18:03:21 -0000	1.2
+++ ./security/skey/builtin.mk	4 Apr 2006 06:26:58 -0000
@@ -45,7 +45,7 @@
 .    if defined(BUILTIN_PKG.skey) && \
         !empty(IS_BUILTIN.skey:M[yY][eE][sS])
 USE_BUILTIN.skey=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.skey}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.skey}
 .        if !empty(USE_BUILTIN.skey:M[yY][eE][sS])
 USE_BUILTIN.skey!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.skey:Q}; then	\
Index: ./security/tcl-tls/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/tcl-tls/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./security/tcl-tls/buildlink3.mk	22 Jan 2005 19:45:23 -0000	1.1.1.1
+++ ./security/tcl-tls/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	tcl-tls
 
 .if !empty(TCL_TLS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tcl-tls+=	tcl-tls>=1.5.0
+BUILDLINK_API_DEPENDS.tcl-tls+=	tcl-tls>=1.5.0
 BUILDLINK_PKGSRCDIR.tcl-tls?=	../../security/tcl-tls
 .endif	# TCL_TLS_BUILDLINK3_MK
 
Index: ./security/tcp_wrappers/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/tcp_wrappers/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./security/tcp_wrappers/buildlink3.mk	18 Oct 2005 04:32:01 -0000	1.8
+++ ./security/tcp_wrappers/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tcp_wrappers
 
 .if !empty(TCP_WRAPPERS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tcp_wrappers+=	tcp_wrappers>=7.6.1nb1
-BUILDLINK_RECOMMENDED.tcp_wrappers+=	tcp_wrappers>=7.6.1nb3
+BUILDLINK_API_DEPENDS.tcp_wrappers+=	tcp_wrappers>=7.6.1nb1
+BUILDLINK_ABI_DEPENDS.tcp_wrappers+=	tcp_wrappers>=7.6.1nb3
 BUILDLINK_PKGSRCDIR.tcp_wrappers?=	../../security/tcp_wrappers
 .endif	# TCP_WRAPPERS_BUILDLINK3_MK
 
Index: ./security/tcp_wrappers/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/tcp_wrappers/builtin.mk,v
retrieving revision 1.6
diff -u -r1.6 builtin.mk
--- ./security/tcp_wrappers/builtin.mk	1 Jun 2005 18:03:21 -0000	1.6
+++ ./security/tcp_wrappers/builtin.mk	4 Apr 2006 06:26:58 -0000
@@ -34,7 +34,7 @@
 .    if defined(BUILTIN_PKG.tcp_wrappers) && \
         !empty(IS_BUILTIN.tcp_wrappers:M[yY][eE][sS])
 USE_BUILTIN.tcp_wrappers=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.tcp_wrappers}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.tcp_wrappers}
 .        if !empty(USE_BUILTIN.tcp_wrappers:M[yY][eE][sS])
 USE_BUILTIN.tcp_wrappers!=						\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.tcp_wrappers:Q}; then \
Index: ./security/tinyca/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/tinyca/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- ./security/tinyca/Makefile	5 Feb 2006 23:10:47 -0000	1.7
+++ ./security/tinyca/Makefile	4 Apr 2006 06:26:58 -0000
@@ -21,7 +21,7 @@
 USE_TOOLS+=	perl:run
 REPLACE_PERL=	tinyca
 
-BUILDLINK_DEPENDS.openssl+=	openssl>=0.9.7d
+BUILDLINK_API_DEPENDS.openssl+=	openssl>=0.9.7d
 
 SUBST_CLASSES+=		script
 SUBST_STAGE.script=	post-patch
Index: ./shells/bash/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/shells/bash/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- ./shells/bash/Makefile	30 Mar 2006 03:44:44 -0000	1.21
+++ ./shells/bash/Makefile	4 Apr 2006 06:26:58 -0000
@@ -73,7 +73,7 @@
 CONFIGURE_ARGS+=		--with-installed-readline
 
 USE_GNU_READLINE=		yes
-BUILDLINK_DEPENDS.readline+=	readline>=4.3
+BUILDLINK_API_DEPENDS.readline+=	readline>=4.3
 
 .include "../../devel/readline/buildlink3.mk"
 .endif
Index: ./shells/bash2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/shells/bash2/Makefile,v
retrieving revision 1.71
diff -u -r1.71 Makefile
--- ./shells/bash2/Makefile	5 Feb 2006 23:10:47 -0000	1.71
+++ ./shells/bash2/Makefile	4 Apr 2006 06:26:58 -0000
@@ -55,7 +55,7 @@
 CONFIGURE_ENV+=	ac_cv_type_wctype_t=no
 .endif
 
-BUILDLINK_DEPENDS.readline+=	readline>=4.3
+BUILDLINK_API_DEPENDS.readline+=	readline>=4.3
 
 .include "../../devel/gettext-lib/buildlink3.mk"
 .include "../../devel/readline/buildlink3.mk"
Index: ./sysutils/amanda-common/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/amanda-common/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./sysutils/amanda-common/buildlink3.mk	5 Feb 2006 23:10:48 -0000	1.6
+++ ./sysutils/amanda-common/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	amanda-common
 
 .if !empty(AMANDA_COMMON_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.amanda-common+=	amanda-common>=2.4.4p4nb2
-BUILDLINK_RECOMMENDED.amanda-common+=	amanda-common>=2.4.4p4nb3
+BUILDLINK_API_DEPENDS.amanda-common+=	amanda-common>=2.4.4p4nb2
+BUILDLINK_ABI_DEPENDS.amanda-common+=	amanda-common>=2.4.4p4nb3
 BUILDLINK_PKGSRCDIR.amanda-common?=	../../sysutils/amanda-common
 .endif	# AMANDA_COMMON_BUILDLINK3_MK
 
Index: ./sysutils/dbus/Makefile.common
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/dbus/Makefile.common,v
retrieving revision 1.12
diff -u -r1.12 Makefile.common
--- ./sysutils/dbus/Makefile.common	11 Feb 2006 14:30:29 -0000	1.12
+++ ./sysutils/dbus/Makefile.common	4 Apr 2006 06:26:58 -0000
@@ -72,7 +72,7 @@
 SUBST_FILES.paths+=	${f}/Makefile.in
 .  endfor
 
-BUILDLINK_DEPENDS.dbus+=	dbus>=${DBUS_VERSION}
+BUILDLINK_API_DEPENDS.dbus+=	dbus>=${DBUS_VERSION}
 .  include "../../sysutils/dbus/buildlink3.mk"
 .endif
 
Index: ./sysutils/dbus/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/dbus/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./sysutils/dbus/buildlink3.mk	5 Feb 2006 23:10:49 -0000	1.4
+++ ./sysutils/dbus/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	dbus
 
 .if !empty(DBUS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.dbus+=	dbus>=0.23.4
-BUILDLINK_RECOMMENDED.dbus?=	dbus>=0.23.4nb2
+BUILDLINK_API_DEPENDS.dbus+=	dbus>=0.23.4
+BUILDLINK_ABI_DEPENDS.dbus?=	dbus>=0.23.4nb2
 BUILDLINK_PKGSRCDIR.dbus?=	../../sysutils/dbus
 .endif	# DBUS_BUILDLINK3_MK
 
Index: ./sysutils/dbus-glib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/dbus-glib/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./sysutils/dbus-glib/buildlink3.mk	5 Feb 2006 23:10:49 -0000	1.5
+++ ./sysutils/dbus-glib/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	dbus-glib
 
 .if !empty(DBUS_GLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.dbus-glib+=	dbus-glib>=0.23.4
-BUILDLINK_RECOMMENDED.dbus-glib?=	dbus-glib>=0.23.4nb2
+BUILDLINK_API_DEPENDS.dbus-glib+=	dbus-glib>=0.23.4
+BUILDLINK_ABI_DEPENDS.dbus-glib?=	dbus-glib>=0.23.4nb2
 BUILDLINK_PKGSRCDIR.dbus-glib?=	../../sysutils/dbus-glib
 .endif	# DBUS_GLIB_BUILDLINK3_MK
 
Index: ./sysutils/desktop-file-utils/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/desktop-file-utils/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./sysutils/desktop-file-utils/buildlink3.mk	5 Feb 2006 23:10:49 -0000	1.2
+++ ./sysutils/desktop-file-utils/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	desktop-file-utils
 
 .if !empty(DESKTOP_FILE_UTILS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.desktop-file-utils+=	desktop-file-utils>=0.8
-BUILDLINK_RECOMMENDED.desktop-file-utils+=	desktop-file-utils>=0.10nb1
+BUILDLINK_API_DEPENDS.desktop-file-utils+=	desktop-file-utils>=0.8
+BUILDLINK_ABI_DEPENDS.desktop-file-utils+=	desktop-file-utils>=0.10nb1
 BUILDLINK_PKGSRCDIR.desktop-file-utils?=../../sysutils/desktop-file-utils
 .endif	# DESKTOP_FILE_UTILS_BUILDLINK3_MK
 
Index: ./sysutils/duplicity/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/duplicity/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- ./sysutils/duplicity/Makefile	4 Mar 2006 21:30:40 -0000	1.7
+++ ./sysutils/duplicity/Makefile	4 Apr 2006 06:26:58 -0000
@@ -12,7 +12,7 @@
 
 DEPENDS+=		gnupg>=1.2.3:../../security/gnupg
 
-BUILDLINK_DEPENDS.librsync+=	librsync>=0.9.6
+BUILDLINK_API_DEPENDS.librsync+=	librsync>=0.9.6
 PYDISTUTILSPKG=		yes
 PYTHON_VERSIONS_ACCEPTED= 22 23
 
Index: ./sysutils/fam/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/fam/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./sysutils/fam/buildlink3.mk	5 Feb 2006 23:10:49 -0000	1.4
+++ ./sysutils/fam/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	fam
 
 .if !empty(FAM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.fam+=		fam>=2.6.10
-BUILDLINK_RECOMMENDED.fam+=	fam>=2.7.0nb7
+BUILDLINK_API_DEPENDS.fam+=		fam>=2.6.10
+BUILDLINK_ABI_DEPENDS.fam+=	fam>=2.7.0nb7
 BUILDLINK_PKGSRCDIR.fam?=	../../sysutils/fam
 .endif	# FAM_BUILDLINK3_MK
 
Index: ./sysutils/fam/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/fam/builtin.mk,v
retrieving revision 1.2
diff -u -r1.2 builtin.mk
--- ./sysutils/fam/builtin.mk	1 Jun 2005 18:03:21 -0000	1.2
+++ ./sysutils/fam/builtin.mk	4 Apr 2006 06:26:58 -0000
@@ -31,7 +31,7 @@
 .    if defined(BUILTIN_PKG.fam) && \
         !empty(IS_BUILTIN.fam:M[yY][eE][sS])
 USE_BUILTIN.fam=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.fam}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.fam}
 .        if !empty(USE_BUILTIN.fam:M[yY][eE][sS])
 USE_BUILTIN.fam!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.fam:Q}; then	\
Index: ./sysutils/file/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/file/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./sysutils/file/buildlink3.mk	3 Oct 2004 00:18:14 -0000	1.2
+++ ./sysutils/file/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -12,8 +12,8 @@
 BUILDLINK_PACKAGES+=	file
 
 .if !empty(FILE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.file+=	file>=4.09
-BUILDLINK_RECOMMENDED.file+=	file>=4.09nb1
+BUILDLINK_API_DEPENDS.file+=	file>=4.09
+BUILDLINK_ABI_DEPENDS.file+=	file>=4.09nb1
 BUILDLINK_PKGSRCDIR.file?=	../../sysutils/file
 .endif	# FILE_BUILDLINK3_MK
 
Index: ./sysutils/file/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/file/builtin.mk,v
retrieving revision 1.2
diff -u -r1.2 builtin.mk
--- ./sysutils/file/builtin.mk	1 Jun 2005 18:03:21 -0000	1.2
+++ ./sysutils/file/builtin.mk	4 Apr 2006 06:26:58 -0000
@@ -32,7 +32,7 @@
 .    if defined(BUILTIN_PKG.file) && \
         !empty(IS_BUILTIN.file:M[yY][eE][sS])
 USE_BUILTIN.file=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.file}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.file}
 .        if !empty(USE_BUILTIN.file:M[yY][eE][sS])
 USE_BUILTIN.file!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.file:Q}; then	\
Index: ./sysutils/gamin/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/gamin/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./sysutils/gamin/buildlink3.mk	5 Feb 2006 23:10:50 -0000	1.2
+++ ./sysutils/gamin/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gamin
 
 .if !empty(GAMIN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gamin+=	gamin>=0.1.5
-BUILDLINK_RECOMMENDED.gamin?=	gamin>=0.1.5nb2
+BUILDLINK_API_DEPENDS.gamin+=	gamin>=0.1.5
+BUILDLINK_ABI_DEPENDS.gamin?=	gamin>=0.1.5nb2
 BUILDLINK_PKGSRCDIR.gamin?=	../../sysutils/gamin
 .endif	# GAMIN_BUILDLINK3_MK
 
Index: ./sysutils/gkrellm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/gkrellm/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./sysutils/gkrellm/buildlink3.mk	5 Feb 2006 23:10:50 -0000	1.8
+++ ./sysutils/gkrellm/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gkrellm
 
 .if !empty(GKRELLM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gkrellm+=	gkrellm>=2.1.22
-BUILDLINK_RECOMMENDED.gkrellm?=	gkrellm>=2.2.7nb2
+BUILDLINK_API_DEPENDS.gkrellm+=	gkrellm>=2.1.22
+BUILDLINK_ABI_DEPENDS.gkrellm?=	gkrellm>=2.2.7nb2
 BUILDLINK_PKGSRCDIR.gkrellm?=	../../sysutils/gkrellm
 .endif	# GKRELLM_BUILDLINK3_MK
 
Index: ./sysutils/gkrellm1/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/gkrellm1/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./sysutils/gkrellm1/buildlink3.mk	5 Feb 2006 23:10:50 -0000	1.4
+++ ./sysutils/gkrellm1/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gkrellm
 
 .if !empty(GKRELLM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gkrellm+=	gkrellm<2.0
-BUILDLINK_RECOMMENDED.gkrellm?=	gkrellm>=1.2.13nb5
+BUILDLINK_API_DEPENDS.gkrellm+=	gkrellm<2.0
+BUILDLINK_ABI_DEPENDS.gkrellm?=	gkrellm>=1.2.13nb5
 BUILDLINK_PKGSRCDIR.gkrellm?=	../../sysutils/gkrellm1
 .endif	# GKRELLM_BUILDLINK3_MK
 
Index: ./sysutils/gnome-menus/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/gnome-menus/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- ./sysutils/gnome-menus/Makefile	6 Mar 2006 00:18:11 -0000	1.15
+++ ./sysutils/gnome-menus/Makefile	4 Apr 2006 06:26:58 -0000
@@ -37,8 +37,8 @@
 SUBST_SED.paths=	-e 's|/usr/|${PREFIX}/|g'
 SUBST_SED.paths+=	-e 's|/etc/X11/applnk|${PREFIX}/share/kde/applnk/|g'
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.6.0
-BUILDLINK_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.10.0
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.6.0
+BUILDLINK_API_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.10.0
 
 .include "../../devel/gettext-lib/buildlink3.mk"
 .include "../../devel/glib2/buildlink3.mk"
Index: ./sysutils/gnome-menus/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/gnome-menus/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./sysutils/gnome-menus/buildlink3.mk	5 Feb 2006 23:10:50 -0000	1.5
+++ ./sysutils/gnome-menus/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnome-menus
 
 .if !empty(GNOME_MENUS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnome-menus+=		gnome-menus>=2.12.0
-BUILDLINK_RECOMMENDED.gnome-menus?=	gnome-menus>=2.12.0nb3
+BUILDLINK_API_DEPENDS.gnome-menus+=		gnome-menus>=2.12.0
+BUILDLINK_ABI_DEPENDS.gnome-menus?=	gnome-menus>=2.12.0nb3
 BUILDLINK_PKGSRCDIR.gnome-menus?=	../../sysutils/gnome-menus
 .endif	# GNOME_MENUS_BUILDLINK3_MK
 
Index: ./sysutils/gnome-vfs/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/gnome-vfs/Makefile,v
retrieving revision 1.55
diff -u -r1.55 Makefile
--- ./sysutils/gnome-vfs/Makefile	5 Feb 2006 23:10:51 -0000	1.55
+++ ./sysutils/gnome-vfs/Makefile	4 Apr 2006 06:26:58 -0000
@@ -11,7 +11,7 @@
 
 BROKEN_GETTEXT_DETECTION=	yes
 BUILD_USES_MSGFMT=	YES
-BUILDLINK_DEPENDS.gnome-mime-data+=	gnome-mime-data>=2.0.1
+BUILDLINK_API_DEPENDS.gnome-mime-data+=	gnome-mime-data>=2.0.1
 
 USE_PKGLOCALEDIR=	YES
 USE_X11BASE=		YES
